#include <iostream>

using namespace std;
long long a,b,c,d,e,f,g,h,i,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y,z;
long long aa[100007];

int main()
{
    cin>>n;
    for(i=1;i<=n;i++) cin>>aa[i];
    for(i=n;i>=1;i--){
        s+=aa[i];
        for(j=1;j<i;j++){
            if(aa[j]==aa[i]) aa[j]++;
            aa[j]--;
            if(aa[j]<0) aa[j]=0;
        }
    }
    cout<<s<<endl;
    return 0;
}
